# CoinWarmStartVectorPair< T, U > Class Template Reference

`#include <CoinWarmStartVector.hpp>`

Inheritance diagram for CoinWarmStartVectorPair< T, U >:
[legend]
Collaboration diagram for CoinWarmStartVectorPair< T, U >:
[legend]

List of all members.

## Public Member Functions
int | size0 () const
int | size1 () const
const T * | values0 () const
const U * | values1 () const
void | assignVector0 (int size, T *&vec)
void | assignVector1 (int size, U *&vec)
| CoinWarmStartVectorPair ()
| CoinWarmStartVectorPair (int s0, const T *v0, int s1, const U *v1)
| CoinWarmStartVectorPair (const CoinWarmStartVectorPair< T, U > &rhs)
CoinWarmStartVectorPair & | operator= (const CoinWarmStartVectorPair< T, U > &rhs)
void | swap (CoinWarmStartVectorPair< T, U > &rhs)
virtual CoinWarmStart * | clone () const
| `Virtual constructor'
virtual | ~CoinWarmStartVectorPair ()
void | clear ()
virtual CoinWarmStartDiff * | generateDiff (const CoinWarmStart *const oldCWS) const
virtual void | applyDiff (const CoinWarmStartDiff *const cwsdDiff)
## Private Attributes
CoinWarmStartVector< T > | t_
CoinWarmStartVector< U > | u_

## Detailed Description

### template<typename T, typename U>
class CoinWarmStartVectorPair< T, U >

Definition at line 229 of file CoinWarmStartVector.hpp.

## Constructor & Destructor Documentation

template<typename T, typename U>

CoinWarmStartVectorPair< T, U >::CoinWarmStartVectorPair | ( |  | ) | `[inline]`

Definition at line 244 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

CoinWarmStartVectorPair< T, U >::CoinWarmStartVectorPair | ( | int | s0,
|  | const T * | v0,
|  | int | s1,
|  | const U * | v1 |
| ) |  |  | `[inline]`

Definition at line 245 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

CoinWarmStartVectorPair< T, U >::CoinWarmStartVectorPair | ( | const CoinWarmStartVectorPair< T, U > & | rhs | ) | `[inline]`

Definition at line 248 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

virtual CoinWarmStartVectorPair< T, U >::~CoinWarmStartVectorPair | ( |  | ) | `[inline, virtual]`

Definition at line 267 of file CoinWarmStartVector.hpp.

## Member Function Documentation

template<typename T, typename U>

int CoinWarmStartVectorPair< T, U >::size0 | ( |  | ) | const`[inline]`

Definition at line 236 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

int CoinWarmStartVectorPair< T, U >::size1 | ( |  | ) | const`[inline]`

Definition at line 237 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

const T* CoinWarmStartVectorPair< T, U >::values0 | ( |  | ) | const`[inline]`

Definition at line 238 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

const U* CoinWarmStartVectorPair< T, U >::values1 | ( |  | ) | const`[inline]`

Definition at line 239 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

void CoinWarmStartVectorPair< T, U >::assignVector0 | ( | int | size,
|  | T *& | vec |
| ) |  |  | `[inline]`

Definition at line 241 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

void CoinWarmStartVectorPair< T, U >::assignVector1 | ( | int | size,
|  | U *& | vec |
| ) |  |  | `[inline]`

Definition at line 242 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

CoinWarmStartVectorPair& CoinWarmStartVectorPair< T, U >::operator= | ( | const CoinWarmStartVectorPair< T, U > & | rhs | ) | `[inline]`

Definition at line 250 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

void CoinWarmStartVectorPair< T, U >::swap | ( | CoinWarmStartVectorPair< T, U > & | rhs | ) | `[inline]`

Definition at line 258 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

virtual CoinWarmStart* CoinWarmStartVectorPair< T, U >::clone | ( |  | ) | const`[inline, virtual]`

`Virtual constructor'

Implements CoinWarmStart.

Definition at line 263 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

void CoinWarmStartVectorPair< T, U >::clear | ( |  | ) | `[inline]`

Definition at line 269 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

virtual CoinWarmStartDiff* CoinWarmStartVectorPair< T, U >::generateDiff | ( | const CoinWarmStart *const | oldCWS | ) | const`[virtual]`

template<typename T, typename U>

virtual void CoinWarmStartVectorPair< T, U >::applyDiff | ( | const CoinWarmStartDiff *const | cwsdDiff | ) | `[virtual]`

Reimplemented from CoinWarmStart.

## Member Data Documentation

template<typename T, typename U>

CoinWarmStartVector<T> CoinWarmStartVectorPair< T, U >::t_`[private]`

Definition at line 232 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

CoinWarmStartVector<U> CoinWarmStartVectorPair< T, U >::u_`[private]`

Definition at line 233 of file CoinWarmStartVector.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Bcps-0.93.11/CoinUtils/src/CoinWarmStartVector.hpp